Generate video with HappyHorse 1.1
curl --request POST \
--url https://api.budgetpixel.com/v1/videos/happyhorse-1.1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"aspect_ratio": "16:9",
"image": "<string>",
"length_seconds": 5,
"reference_images": [
"<string>"
],
"resolution": "720p"
}
'import requests
url = "https://api.budgetpixel.com/v1/videos/happyhorse-1.1"
payload = {
"prompt": "<string>",
"aspect_ratio": "16:9",
"image": "<string>",
"length_seconds": 5,
"reference_images": ["<string>"],
"resolution": "720p"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
aspect_ratio: '16:9',
image: '<string>',
length_seconds: 5,
reference_images: ['<string>'],
resolution: '720p'
})
};
fetch('https://api.budgetpixel.com/v1/videos/happyhorse-1.1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.budgetpixel.com/v1/videos/happyhorse-1.1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'aspect_ratio' => '16:9',
'image' => '<string>',
'length_seconds' => 5,
'reference_images' => [
'<string>'
],
'resolution' => '720p'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.budgetpixel.com/v1/videos/happyhorse-1.1"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"image\": \"<string>\",\n \"length_seconds\": 5,\n \"reference_images\": [\n \"<string>\"\n ],\n \"resolution\": \"720p\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.budgetpixel.com/v1/videos/happyhorse-1.1")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"image\": \"<string>\",\n \"length_seconds\": 5,\n \"reference_images\": [\n \"<string>\"\n ],\n \"resolution\": \"720p\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.budgetpixel.com/v1/videos/happyhorse-1.1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"image\": \"<string>\",\n \"length_seconds\": 5,\n \"reference_images\": [\n \"<string>\"\n ],\n \"resolution\": \"720p\"\n}"
response = http.request(request)
puts response.read_body{
"characters": [
{
"handle": "barry",
"name": "Barry",
"official": true,
"page_url": "<string>"
}
],
"id": "<string>",
"message": "<string>",
"model": "<string>",
"status": "pending"
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}Alibaba
Generate video with HappyHorse 1.1
Alibaba HappyHorse 1.1 — highly realistic dynamic rendering. Text-to-video; image-to-video (start frame only); and reference-images-to-video (up to 9 images for subject-consistent generation). 720p or 1080p, priced per resolution (see resolution_pricing in GET /v1/models); 4–15 seconds. Audio is determined by the model (no toggle). No video-edit mode.
Asynchronous. Returns a job id (the video is not in this response). Poll GET /v1/videos/{id} until status is succeeded — the video URL is in that response’s video_url.
Examples, sample output and pricing: HappyHorse 1.1
POST
/
videos
/
happyhorse-1.1
Generate video with HappyHorse 1.1
curl --request POST \
--url https://api.budgetpixel.com/v1/videos/happyhorse-1.1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"aspect_ratio": "16:9",
"image": "<string>",
"length_seconds": 5,
"reference_images": [
"<string>"
],
"resolution": "720p"
}
'import requests
url = "https://api.budgetpixel.com/v1/videos/happyhorse-1.1"
payload = {
"prompt": "<string>",
"aspect_ratio": "16:9",
"image": "<string>",
"length_seconds": 5,
"reference_images": ["<string>"],
"resolution": "720p"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
aspect_ratio: '16:9',
image: '<string>',
length_seconds: 5,
reference_images: ['<string>'],
resolution: '720p'
})
};
fetch('https://api.budgetpixel.com/v1/videos/happyhorse-1.1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.budgetpixel.com/v1/videos/happyhorse-1.1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'prompt' => '<string>',
'aspect_ratio' => '16:9',
'image' => '<string>',
'length_seconds' => 5,
'reference_images' => [
'<string>'
],
'resolution' => '720p'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.budgetpixel.com/v1/videos/happyhorse-1.1"
payload := strings.NewReader("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"image\": \"<string>\",\n \"length_seconds\": 5,\n \"reference_images\": [\n \"<string>\"\n ],\n \"resolution\": \"720p\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.budgetpixel.com/v1/videos/happyhorse-1.1")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"image\": \"<string>\",\n \"length_seconds\": 5,\n \"reference_images\": [\n \"<string>\"\n ],\n \"resolution\": \"720p\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.budgetpixel.com/v1/videos/happyhorse-1.1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"prompt\": \"<string>\",\n \"aspect_ratio\": \"16:9\",\n \"image\": \"<string>\",\n \"length_seconds\": 5,\n \"reference_images\": [\n \"<string>\"\n ],\n \"resolution\": \"720p\"\n}"
response = http.request(request)
puts response.read_body{
"characters": [
{
"handle": "barry",
"name": "Barry",
"official": true,
"page_url": "<string>"
}
],
"id": "<string>",
"message": "<string>",
"model": "<string>",
"status": "pending"
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}HappyHorse 1.1 on BudgetPixel
More examples, prompts and pricing.
Authorizations
Body
application/json
Text description of the video. Write @handle to cast a character: a BudgetPixel AI influencer or one of your own (GET /v1/characters).
Response
Job accepted.